parport_set_timeout
Prev | Chapter 20. Parallel Port Devices | Next

## Name

parport_set_timeout — set the inactivity timeout for a device

## Synopsis

`long parport_set_timeout (` | struct pardevice * | dev,
| long | inactivity`)`;

## Arguments

`dev`

  device on a port

`inactivity`

  inactivity timeout (in jiffies)

## Description

This sets the inactivity timeout for a particular device on a port. This affects functions like `parport_wait_peripheral`. The special value 0 means not to call `schedule` while dealing with this device.

The return value is the previous inactivity timeout.

Any callers of `parport_wait_event` for this device are woken up.

Prev | Up | Next
parport_read | Home | parport_register_driver